package org.processmining.plugins.complianceframework.GUI;

import java.awt.Image;
import java.util.List;

public class VennTreeDescriptionPanel extends TreeDescriptionPanel {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Image image;

	public VennTreeDescriptionPanel(Image image, List<List<String>> descriptionListsList, String title, String subTitle) {
		super();
		this.image = image;
		String heading = obtainStyledHeading(title, subTitle);
		this.init(descriptionListsList, heading);
//		JLabel titleLabel = new JLabel(title);
//		TreeDescriptionPanel panel = new TreeDescriptionPanel(image, descriptionListsList, subTitle);
//		
//		this.add(titleLabel, BorderLayout.NORTH);
//		this.add(titleLabel, BorderLayout.NORTH);
	}

	public String obtainStyledHeading(String title, String subTitle) {
		String heading = "<h2 style=\"text-align:center;\">" + title + "</h2>";
		heading += "<h3 style=\"text-align:center;\">" + subTitle + "</h3>";
		return heading;
	}
}